# Kimai

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/kimai/status.svg)](https://drone.autonomic.zone/compose-stacks/kimai)

CoöpCloud [Kimai] ✊⏰

Based on the recommended [`tobybatch/kimai2`] compose file.

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. Generate secrets:
```
abra secret_generate db_password v1
abra secret_generate db_root_password v1
abra secret_generate admin_password v1
```
7. `abra deploy`

[Kimai]: https://www.kimai.org/
[`tobybatch/kimai2`]: https://tobybatch.github.io/kimai2/docker-compose.html#docker-compose
[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
